<template>
  <div class="card" :style="{borderColor: convertHexToRGBA('#757D8D', borderOpacity)}">
    <slot></slot>
  </div>
</template>

<script>
const convertHexToRGBA = (hexCode, opacity) => {
  let hex = hexCode.replace('#', '');
  if (hex.length === 3) {
    hex = `${hex[0]}${hex[0]}${hex[1]}${hex[1]}${hex[2]}${hex[2]}`;
  }
  const r = parseInt(hex.substring(0, 2), 16);
  const g = parseInt(hex.substring(2, 4), 16);
  const b = parseInt(hex.substring(4, 6), 16);
  return `rgba(${r},${g},${b},${opacity})`;
};

export default {
  name: "index",
  props: {
    borderOpacity: {
      type: Number,
      default: 1
    }
  },
  methods: {
    convertHexToRGBA
  }
}
</script>

<style scoped lang="scss">
.card {
  background-color: #222b3e;
  border: 1px solid #757D8D;
  border-radius: 10px;
  font-size: .875rem;
  min-height: 50px;
  overflow: hidden;
}
</style>
